> For the complete documentation index, see [llms.txt](https://aliniex.gitbook.io/alix-pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/topup-card.md).

# Topup card

<mark style="color:orange;">`POST`</mark> /api/v2/cards/topup

This API allows you to top-up an amount of cryptocurrency to your card on Alix Platform&#x20;

**Headers**

| Param        | Value                                                                                                                   |
| ------------ | ----------------------------------------------------------------------------------------------------------------------- |
| access-token | It is accessToken  has returned from the [api Access Token](/alix-pay/api-reference/alix-card-api/auth/access-token.md) |

Request Body

```json
{
  "cardId": 0,
  "amount": "100" //USDT
}
```

<table><thead><tr><th width="164">Name</th><th width="82">Type</th><th width="110">Condition</th><th>Value</th></tr></thead><tbody><tr><td>cardId</td><td>string</td><td>required</td><td>the id of your card</td></tr><tr><td>amount</td><td>string</td><td>required</td><td>Amount of cryptocurrency, you want to top-up</td></tr></tbody></table>

**Response**&#x20;

{% tabs %}
{% tab title="200" %}

```json

{
    "success": true,
    "message": "Your request has been successful",
    "data": {
        "type": "TopupCard",
        "fee": 1,
        "amount": 100,
        "balanceBefore": 0,
        "balanceAfter": 0,
        "description": "Topup my card",
        "status": "Pending",
        "createdAt": 1731578091
    },
    "errorCode": 0
}

```

{% endtab %}

{% tab title="400" %}

<pre class="language-json"><code class="lang-json">{
    "success": false,
    "message": "The QR code is invalid. Please check and try again",
    "data": null,
    "errorCode": 32
}
<strong>
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
**When the access token expried. Please use the refresh token to get new access token instead of get a new access token**&#x20;
{% endhint %}

{% hint style="danger" %}
The topup card status will update by using [webhook](/alix-pay/api-reference/alix-card-api/cards/notifications-webhook.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aliniex.gitbook.io/alix-pay/api-reference/alix-card-api/cards/topup-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
